Subject: problems with native compilation

From: Konrad Podczeck <[email-masked]>
Date: Fri, 28 Oct 2022 13:28:47 +0200

Since I updated my operation system to macos 14, Ventura, issuing „—with-native-compilation" at the configure state is of no effect anymore for the resulting Emacs.app; the result is the same as it is without this option. Here is the error message coming out with the first option:

configure: error: The installed libgccjit failed to compile and run a test program using
the libgccjit library; see config.log for the details of the failure.

A look to config.log then shows:

configure:19456: gcc -E    conftest.c
conftest.c:124:10: fatal error: 'libgccjit.h' file not found
#include <libgccjit.h>

Another look yields:

 dylib (/opt/homebrew/Cellar/libgccjit/12.2.0/lib/gcc/current/libgccjit.dylib) was built for newer macOS version (13.0) than being linked (12.3)

Let me also remark that I have an M1 processor, and that I found nothing in the manuals dealing with such difficulties.

Konrad